<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:decimal-format name="DE-Zahlen" decimal-separator="," grouping-separator="."/>
  <xsl:template match="/Umsatzuebersicht">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="navajowhite"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <fo:block>Umsatz 2004</fo:block>
          <xsl:for-each select="Unternehmen">
            <fo:block>
              <xsl:value-of select="Name"/>
              <xsl:text> in </xsl:text>
              <xsl:value-of select="Stadt"/>
              <xsl:text> Summe: </xsl:text>
              <xsl:value-of select="format-number(sum(Umsatzliste/Umsatz/Summe), '###.###,##' , 'DE-Zahlen')"/>
              <xsl:text>&#x20AC;</xsl:text>
            </fo:block>
            <xsl:apply-templates select="Umsatzliste"/>
          </xsl:for-each>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr Umsatzliste -->
  <xsl:template match="Umsatzliste">
    <!-- Listenblock -->
    <fo:list-block provisional-distance-between-starts="7mm" provisional-label-separation="2mm" start-indent="2mm">
      <xsl:for-each select="Umsatz">
        <!-- Listeneintrag -->
        <fo:list-item>
          <!-- Aufzhlungszeichen -->
          <fo:list-item-label end-indent="label-end()">
            <fo:block font-family="Courier" font-size="15pt" line-height="14pt" padding-before="2pt">&#x2022;</fo:block>
          </fo:list-item-label>
          <!-- Listentext -->
          <fo:list-item-body start-indent="body-start()">
            <fo:block>
              <xsl:value-of select="format-number(Summe, '###.###,##' , 'DE-Zahlen')"/>
              <xsl:text>&#x20AC; , </xsl:text>
              <xsl:value-of select="format-number(Dauer, '###.###,##' ,'DE-Zahlen')"/>
              <xsl:text>h (</xsl:text>
              <xsl:value-of select="Zeit/Monat"/>
              <xsl:text>/</xsl:text>
              <xsl:value-of select="Zeit/Jahr"/>
              <xsl:text>)</xsl:text>
            </fo:block>
          </fo:list-item-body>
        </fo:list-item>
      </xsl:for-each>
    </fo:list-block>
  </xsl:template>
</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="512_01.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="fop" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->