using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;
using org.apache.fop;
using org.apache.fop.apps;
using org.apache.fop.tools;
using org.xml.sax;
using java.io;

namespace Xml_Xslt
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length < 4)
            {
                return;
            }
            // Parameter auslesen
            string XMLInput=args[0]; // XML
            string XSLTTransform = args[1]; // XSL-FO
            string FOOutput = args[2]; // FO-Ausgabe
            string PDFOutput = args[3]; // PDF-Ausgabe

            // Umwandlung von XML nach FO mit XSL-FO
            XslCompiledTransform xslt = new XslCompiledTransform();
            xslt.Load(XSLTTransform);
            xslt.Transform(XMLInput, FOOutput);

            // Umwandlung von FO nach PDF
            FileInputStream streamFO = new FileInputStream(FOOutput);
            InputSource src = new InputSource(streamFO);
            FileOutputStream streamOut = new FileOutputStream(PDFOutput);
            Driver driver = new Driver(src, streamOut);
            driver.setRenderer(1);
            driver.run();
            streamOut.close();

        }
    }
}
