<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="UTF-8" method="xml"/>
  <xsl:template match="/Umsatzuebersicht">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flaeche -->
          <fo:region-body region-name="xsl-region-body" background-color="navajowhite"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <fo:block>Umsatz 2004</fo:block>
          <fo:table width="100%" background-color="linen">
            <!-- Spaltengr&#xF6;&#xDF;en -->
            <fo:table-column column-number="1" column-width="proportional-column-width(2)"/>
            <fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
            <fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
            <!-- Ausgabe Spaltenk&#xF6;pfe -->
            <fo:table-header>
              <fo:table-row>
                <!-- Ausgabe der Namen der Kinder von Unternehmen -->
                <xsl:for-each select="Unternehmen[1]/*">
                  <fo:table-cell>
                    <fo:block>\/
                        <xsl:value-of select="local-name(.)"/>\/
                      </fo:block>
                  </fo:table-cell>
                </xsl:for-each>
              </fo:table-row>
            </fo:table-header>
            <!-- Ausgabe Fu&#xDF;zeile -->
            <fo:table-footer>
              <fo:table-row>
                <xsl:for-each select="Unternehmen[1]/*">
                  <fo:table-cell>
                    <fo:block>/\
                        <xsl:value-of select="local-name(.)"/>/\
                      </fo:block>
                  </fo:table-cell>
                </xsl:for-each>
              </fo:table-row>
            </fo:table-footer>
            <!-- Ausgabe Datenbereich -->
            <fo:table-body>
              <xsl:for-each select="Unternehmen">
                <fo:table-row>
                  <fo:table-cell>
                    <fo:block>
                      <xsl:value-of select="Name"/>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell>
                    <fo:block>
                      <xsl:value-of select="Stadt"/>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell>
                    <fo:block>
                      <xsl:value-of select="sum(Umsatzliste/Umsatz/Summe)"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </xsl:for-each>
            </fo:table-body>
          </fo:table>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="412_01.xml" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="fop" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->