<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/">
    <fo:root>
      <!-- Dokumentvorlagen -->
      <fo:layout-master-set>
        <!-- Seitenvorlage -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!--Linker Rand der druckbaren Flche -->
          <fo:region-start extent="3cm" region-name="xsl-region-start" background-color="lightblue"/>
          <!-- Unterer Rand der druckbaren Flche -->
          <fo:region-end extent="3cm" region-name="xsl-region-end" background-color="thistle"/>
          <!-- Rechter Rand der druckbaren Flche -->
          <fo:region-after extent="1cm" region-name="xsl-region-after" background-color="mediumorchid"/>
          <!-- Oberer Rand der druckbaren Flche -->
          <fo:region-before extent="0.5cm" region-name="xsl-region-before" background-color="lightseagreen"/>
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" margin-bottom="1.5cm" margin-left="3.5cm" margin-top="1.5cm" margin-right="3.5cm" background-color="wheat">
            <xsl:apply-templates/>
          </fo:region-body>
        </fo:simple-page-master>
        <!-- Seitenverlaufsvorlage -->
        <fo:page-sequence-master master-name="Kapitel">
          <fo:repeatable-page-master-reference master-reference="A4" maximum-repeats="8"/>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <!-- Seitenverlauf -->
      <fo:page-sequence master-reference="Kapitel">
        <fo:flow flow-name="xsl-region-body" background-color="thistle">
          <fo:block font-family="Times" font-size="15pt">
            <xsl:call-template name="Textschleife">
              <xsl:with-param name="Wert" select="'Dies ist Blindtext. Er braucht nicht gelesen zu werden.'"/>
              <xsl:with-param name="Grenze" select="100"/>
            </xsl:call-template>
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage Textschleife -->
  <xsl:template name="Textschleife">
    <xsl:param name="Grenze"/>
    <xsl:param name="Zaehler" select="1"/>
    <xsl:param name="Wert" select="' '"/>
    <xsl:value-of select="$Wert"/>
    <xsl:if test="not($Grenze=$Zaehler)">
      <xsl:call-template name="Textschleife">
        <xsl:with-param name="Zaehler" select="$Zaehler+1"/>
        <xsl:with-param name="Wert" select="$Wert"/>
        <xsl:with-param name="Grenze" select="$Grenze"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
