<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben fr erste Seite -->
        <fo:simple-page-master master-name="Erste" page-height="29.7cm" page-width="21cm" margin-top="7cm" margin-bottom="2cm" margin-left="5cm" margin-right="5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="wheat" margin-bottom="1cm"/>
          <!-- Unterer Rand der druckbaren Flche -->
          <fo:region-after extent="1cm" region-name="erste-region-after" background-color="lightseagreen"/>
          <!-- Oberer Rand der druckbaren Flche -->
          <fo:region-before extent="1cm" region-name="erste-region-before"/>
        </fo:simple-page-master>
        <!-- Blattangaben fr ungerade Seiten -->
        <fo:simple-page-master master-name="Ungerade" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="wheat" margin-top="1cm" margin-bottom="1cm"/>
          <!-- Unterer Rand der druckbaren Flche -->
          <fo:region-after extent="1cm" region-name="ungerade-region-after" background-color="lightseagreen"/>
          <!-- Oberer Rand der druckbaren Flche -->
          <fo:region-before extent="1cm" region-name="ungerade-region-before"/>
        </fo:simple-page-master>
        <!-- Blattangaben fr gerade Seiten -->
        <fo:simple-page-master master-name="Gerade" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="wheat" margin-top="1cm" margin-bottom="1cm"/>
          <!-- Unterer Rand der druckbaren Flche -->
          <fo:region-after extent="1cm" region-name="gerade-region-after" background-color="lightseagreen"/>
          <!-- Oberer Rand der druckbaren Flche -->
          <fo:region-before extent="1cm" region-name="gerade-region-before"/>
        </fo:simple-page-master>
        <fo:page-sequence-master master-name="Kapitel">
          <!-- Seitenalternativen -->
          <fo:repeatable-page-master-alternatives>
            <fo:conditional-page-master-reference master-reference="Erste" page-position="first"/>
            <fo:conditional-page-master-reference master-reference="Ungerade" odd-or-even="odd"/>
            <fo:conditional-page-master-reference master-reference="Gerade" odd-or-even="even"/>
          </fo:repeatable-page-master-alternatives>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <!-- Inhalt -->
      <fo:page-sequence master-reference="Kapitel" force-page-count="even" initial-page-number="1">
        <!-- Seitenzahlen -->
        <fo:static-content flow-name="erste-region-after">
          <fo:block>Seite <fo:page-number/>
          </fo:block>
        </fo:static-content>
        <fo:static-content flow-name="gerade-region-after">
          <fo:block>Seite <fo:page-number/>
          </fo:block>
        </fo:static-content>
        <fo:static-content flow-name="ungerade-region-after">
          <fo:block>Seite <fo:page-number/>
          </fo:block>
        </fo:static-content>
        <!-- Titel -->
        <fo:static-content flow-name="gerade-region-before">
          <fo:block>Titel</fo:block>
        </fo:static-content>
        <fo:static-content flow-name="ungerade-region-before">
          <fo:block>Autor</fo:block>
        </fo:static-content>
        <!-- Text -->
        <fo:flow flow-name="xsl-region-body" background-color="thistle">
          <fo:block font-family="Helvetica" font-size="12pt">
            <xsl:call-template name="Textschleife">
              <xsl:with-param name="Wert" select="'Dies ist Blindtext. Er braucht nicht gelesen zu werden.'"/>
              <xsl:with-param name="Grenze" select="550"/>
            </xsl:call-template>
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <xsl:template name="Textschleife">
    <xsl:param name="Grenze"/>
    <xsl:param name="Zaehler" select="1"/>
    <xsl:param name="Wert" select="' '"/>
    <xsl:value-of select="$Wert"/>
    <xsl:if test="not($Grenze=$Zaehler)">
      <xsl:call-template name="Textschleife">
        <xsl:with-param name="Zaehler" select="$Zaehler+1"/>
        <xsl:with-param name="Wert" select="$Wert"/>
        <xsl:with-param name="Grenze" select="$Grenze"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
