<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/article">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="lightskyblue"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates select="title | section"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr section -->
  <xsl:template match="section">
    <fo:block padding-after="10pt">
      <xsl:apply-templates select="title | subtitle"/>
      <xsl:apply-templates select="para | address"/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr title und subtitle -->
  <xsl:template match="title | subtitle">
    <fo:block start-indent="10pt" background-color="powderblue" space-before="10pt" space-after="5pt">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr para -->
  <xsl:template match="para">
    <xsl:choose>
      <xsl:when test="position()=1">
        <fo:block padding-start="25pt">
          <xsl:value-of select="."/>
        </fo:block>
      </xsl:when>
      <xsl:otherwise>
        <fo:block padding-start="10pt">
          <xsl:value-of select="."/>
        </fo:block>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!-- Vorlage fr address -->
  <xsl:template match="address">
    <fo:block-container  background-image="ruhrfon_logo.gif" background-repeat="no-repeat" padding-before="0.75cm" padding-after="3.25cm" background-color="white">
      <fo:block>
        <xsl:value-of select="othername"/>
      </fo:block>
      <fo:block>
        <xsl:apply-templates select="personname"/>
        </fo:block>
        <fo:block>
        <xsl:value-of select="email"/>
        <xsl:text> | </xsl:text>
        <xsl:value-of select="phone"/>
      </fo:block>
    </fo:block-container>
  </xsl:template>
  <!-- Vorlage fr personname -->
  <xsl:template match="personname">
    <xsl:value-of select="firstname"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="surname"/>
  </xsl:template>
</xsl:stylesheet>
