<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/Umsatzuebersicht">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="navajowhite"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <fo:block>Umsatz 2004</fo:block>
          <fo:table width="13cm" table-layout="fixed" background-color="linen">
            <!-- Spaltengren -->
            <fo:table-column column-number="1" column-width="5cm"/>
            <fo:table-column column-number="2" column-width="3cm"/>
            <fo:table-column column-number="3" column-width="5cm"/>
            <!-- Ausgabe Spaltenkpfe -->
            <fo:table-header>
              <fo:table-row>
                <!-- Ausgabe der Namen der Kinder von Unternehmen -->
                <xsl:for-each select="Unternehmen[1]/*">
                  <fo:table-cell>
                    <fo:block>\/
                        <xsl:value-of select="local-name(.)"/>\/
                      </fo:block>
                  </fo:table-cell>
                </xsl:for-each>
              </fo:table-row>
            </fo:table-header>
            <!-- Ausgabe Fuzeile -->
            <fo:table-footer>
              <fo:table-row>
                <xsl:for-each select="Unternehmen[1]/*">
                  <fo:table-cell>
                    <fo:block>/\
                        <xsl:value-of select="local-name(.)"/>/\
                      </fo:block>
                  </fo:table-cell>
                </xsl:for-each>
              </fo:table-row>
            </fo:table-footer>
            <!-- Ausgabe Datenbereich -->
            <fo:table-body>
              <xsl:for-each select="Unternehmen">
                <fo:table-row>
                  <fo:table-cell>
                    <fo:block>
                      <xsl:value-of select="Name"/>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell>
                    <fo:block>
                      <xsl:value-of select="Stadt"/>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell>
                    <fo:block>
                      <xsl:value-of select="round(sum(Umsatzliste/Umsatz/Summe))"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </xsl:for-each>
            </fo:table-body>
          </fo:table>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
