<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xsl:variable name="fo:layout-master-set">
    <fo:layout-master-set>
      <fo:simple-page-master master-name="default-page" page-height="11in" page-width="8.5in" margin-left="0.6in" margin-right="0.6in">
        <fo:region-body margin-top="0.79in" margin-bottom="0.79in"/>
      </fo:simple-page-master>
    </fo:layout-master-set>
  </xsl:variable>
  <xsl:template match="/">
    <fo:root>
      <xsl:copy-of select="$fo:layout-master-set"/>
      <fo:page-sequence master-reference="default-page" initial-page-number="1" format="1">
        <fo:flow flow-name="xsl-region-body">
          <fo:block>
          <!-- Tabelle -->
            <fo:table width="400pt" space-before.optimum="1pt" space-after.optimum="2pt">
              <fo:table-column column-width="proportional-column-width(25)"/>
              <fo:table-column column-width="proportional-column-width(25)"/>
              <fo:table-column column-width="proportional-column-width(50)"/>
              <!-- Spaltenköpfe -->
              <fo:table-header>
                <fo:table-row background-color="silver">
                  <fo:table-cell width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>Titel 1</fo:block>
                  </fo:table-cell>
                  <fo:table-cell width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>Titel 2</fo:block>
                  </fo:table-cell>
                  <fo:table-cell width="50%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>Titel 3</fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-header>
              <!-- Fußzeile -->
              <fo:table-footer>
                <fo:table-row>
                  <fo:table-cell number-rows-spanned="2" width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>3a und 4a</fo:block>
                  </fo:table-cell>
                  <fo:table-cell number-columns-spanned="2" text-align="center" width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>3b + 3c</fo:block>
                  </fo:table-cell>
                </fo:table-row>
                <fo:table-row>
                  <fo:table-cell width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>4b</fo:block>
                  </fo:table-cell>
                  <fo:table-cell width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>4c</fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-footer>
              <!-- Datenbereich -->
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>2a</fo:block>
                  </fo:table-cell>
                  <fo:table-cell width="25%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>2b</fo:block>
                  </fo:table-cell>
                  <fo:table-cell width="50%" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt" display-align="center" text-align="start" border-style="solid" border-width="1pt" border-color="black">
                    <fo:block>2c</fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
