<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/article">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="beige"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates select="title | subtitle | section"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr section -->
  <xsl:template match="section">
    <xsl:apply-templates select="title | para"/>
  </xsl:template>
  <!-- Vorlage fr title -->
  <xsl:template match="title">
    <fo:block text-align="center" line-height="20pt" font-family="Garamond, Times" font-size="12pt" font-weight="600" font-variant="small-caps">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr subtitle -->
  <xsl:template match="subtitle">
    <fo:block text-align="center" font-family="Garamond" font-size="11pt" font-variant="normal">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr para -->
  <xsl:template match="para">
    <fo:block text-align="justify" font-family="sans-serif" font-size="10pt">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
</xsl:stylesheet>
