<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/article">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <xsl:for-each select="//section">
        <fo:page-sequence master-reference="A4">
          <fo:flow flow-name="xsl-region-body">
            <xsl:call-template name="AbschnittAusgabe"/>
          </fo:flow>
        </fo:page-sequence>
      </xsl:for-each>
    </fo:root>
  </xsl:template>
  <!-- Vorlage  AbschnittAusgabe -->
  <xsl:template name="AbschnittAusgabe">
    <xsl:if test="position() = 1">
      <xsl:apply-templates select="preceding-sibling::title"/>
    </xsl:if>
    <xsl:apply-templates select="title | subtitle | para | graphic"/>
  </xsl:template>
  <!-- Vorlage fr title -->
  <xsl:template match="title">
    <fo:block line-height="20pt" font-family="Garamond, Times" font-size="12pt" font-weight="bold" font-variant="small-caps">
      <xsl:if test="count(ancestor::*) = 1">
        <xsl:attribute name="text-align">center</xsl:attribute>
      </xsl:if>
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr subtitle -->
  <xsl:template match="subtitle">
    <fo:block font-family="Times" font-size="11pt" font-style="italic" space-before="3pt">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr graphic -->
  <xsl:template match="graphic">
    <fo:external-graphic src="{@fileref}" scaling="uniform" content-width="50%"/>
  </xsl:template>
  <!-- Vorlage fr para -->
  <xsl:template match="para">
    <fo:block text-align="left" font-family="sans-serif" font-size="10pt" font-style="italic" space-before="3pt">
      <xsl:value-of select="question"/>
    </fo:block>
    <fo:block text-align="justify" font-family="sans-serif" font-size="10pt" space-after="3pt">
      <xsl:value-of select="answer"/>
    </fo:block>
  </xsl:template>
</xsl:stylesheet>
