<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <!-- Seitengrenangaben -->
  <xsl:attribute-set name="DINA5">
    <xsl:attribute name="page-height">210mm</xsl:attribute>
    <xsl:attribute name="page-width">148mm</xsl:attribute>
  </xsl:attribute-set>
  <!-- Standardrnder -->
  <xsl:attribute-set name="geradeRaender">
    <xsl:attribute name="margin-left">20mm</xsl:attribute>
    <xsl:attribute name="margin-right">10mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="ungeradeRaender">
    <xsl:attribute name="margin-left">10mm</xsl:attribute>
    <xsl:attribute name="margin-right">20mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="standardRaender">
    <xsl:attribute name="margin-top">15mm</xsl:attribute>
    <xsl:attribute name="margin-bottom">30mm</xsl:attribute>
  </xsl:attribute-set>
  <!-- Farben -->
  <xsl:variable name="Gelb" select="'rgb(255,255,204)'"/>
  <xsl:variable name="Blau" select="'rgb(153,204,255)'"/>
  <!-- Standard-Regionen -->
  <xsl:variable name="standardSeiteBody">
    <fo:region-body region-name="xsl-region-body" background-color="{$Gelb}"/>
  </xsl:variable>
  <xsl:variable name="standardTitelBody">
    <fo:region-body region-name="xsl-region-body" background-color="{$Blau}"/>
  </xsl:variable>
  <!-- Startvorlage -->
  <xsl:template match="/book">
    <fo:root>
      <!-- Dokumentvorlage -->
      <fo:layout-master-set>
        <!-- Blattangaben fr erste Seite -->
        <fo:simple-page-master master-name="Titel" xsl:use-attribute-sets="DINA5 ungeradeRaender standardRaender">
          <!-- Druckbare Flche -->
          <xsl:copy-of select="$standardTitelBody"/>
        </fo:simple-page-master>
        <!-- Blattangaben fr ungerade Seiten -->
        <fo:simple-page-master master-name="Ungerade" xsl:use-attribute-sets="DINA5 ungeradeRaender standardRaender">
          <!-- Druckbare Flche -->
          <xsl:copy-of select="$standardSeiteBody"/>
        </fo:simple-page-master>
        <!-- Blattangaben fr gerade Seiten -->
        <fo:simple-page-master master-name="Gerade" xsl:use-attribute-sets="DINA5 geradeRaender standardRaender">
          <!-- Druckbare Flche -->
          <xsl:copy-of select="$standardSeiteBody"/>
        </fo:simple-page-master>
        <!-- Seitenverlaufsvorlage fr Kapitel -->
        <fo:page-sequence-master master-name="Kapitel">
          <fo:repeatable-page-master-alternatives>
            <fo:conditional-page-master-reference master-reference="Titel" page-position="first"/>
            <fo:conditional-page-master-reference master-reference="Ungerade" odd-or-even="odd"/>
            <fo:conditional-page-master-reference master-reference="Gerade" odd-or-even="even"/>
          </fo:repeatable-page-master-alternatives>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <!-- Titelei -->
      <fo:page-sequence master-reference="Kapitel">
        <fo:flow flow-name="xsl-region-body">
          <fo:block space-after="20pt">
            <xsl:value-of select="//book/title"/>
          </fo:block>
          <xsl:for-each select="//chapter/title">
            <fo:block>
              <xsl:value-of select="."/>
            </fo:block>
          </xsl:for-each>
        </fo:flow>
      </fo:page-sequence>
      <!-- Text / Seitenverlauf -->
      <xsl:for-each select="chapter">
        <fo:page-sequence master-reference="Kapitel">
          <fo:flow flow-name="xsl-region-body">
            <fo:block>
              <xsl:value-of select="title"/>
            </fo:block>
          </fo:flow>
        </fo:page-sequence>
      </xsl:for-each>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
