<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <!-- Seitengrenangaben -->
  <xsl:attribute-set name="DINA5">
    <xsl:attribute name="page-height">210mm</xsl:attribute>
    <xsl:attribute name="page-width">148mm</xsl:attribute>
  </xsl:attribute-set>
  <!-- Standardrnder -->
  <xsl:attribute-set name="geradeRaender">
    <xsl:attribute name="margin-left">20mm</xsl:attribute>
    <xsl:attribute name="margin-right">10mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="ungeradeRaender">
    <xsl:attribute name="margin-left">10mm</xsl:attribute>
    <xsl:attribute name="margin-right">20mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="standardRaender">
    <xsl:attribute name="margin-top">15mm</xsl:attribute>
    <xsl:attribute name="margin-bottom">30mm</xsl:attribute>
  </xsl:attribute-set>
  <!-- Farben -->
  <xsl:variable name="Gelb" select="'rgb(255,255,204)'"/>
  <xsl:variable name="Blau" select="'rgb(153,204,255)'"/>
  <!-- Schriftgren -->
  <xsl:variable name="grundSchrift" select="12"/>
  <xsl:variable name="titelSchrift" select="$grundSchrift + 2"/>
  <xsl:variable name="kleinSchrift" select="$grundSchrift - 2"/>
  <!-- Formatvorlagen -->
  <xsl:attribute-set name="standard">
    <xsl:attribute name="font-size"><xsl:value-of select="concat($grundSchrift,'pt')"/></xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
    <xsl:attribute name="text-align">justify</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="marginalien">
    <xsl:attribute name="font-size"><xsl:value-of select="concat($kleinSchrift,'pt')"/></xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="titel1" use-attribute-sets="abstand">
    <xsl:attribute name="font-size"><xsl:value-of select="concat($titelSchrift+2, 'pt')"/></xsl:attribute>
    <xsl:attribute name="font-family">Times</xsl:attribute>
    <xsl:attribute name="text-align">center</xsl:attribute>
    <xsl:attribute name="font-variant">small-caps</xsl:attribute>
    <xsl:attribute name="color"><xsl:value-of select="$Gelb"/></xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="titel2" use-attribute-sets="abstand">
    <xsl:attribute name="font-size"><xsl:value-of select="concat($titelSchrift,'pt')"/></xsl:attribute>
    <xsl:attribute name="font-variant">small-caps</xsl:attribute>
    <xsl:attribute name="font-family">Times</xsl:attribute>
    <xsl:attribute name="text-align">center</xsl:attribute>
    <xsl:attribute name="font-weight">bold</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="titel3">
    <xsl:attribute name="font-size"><xsl:value-of select="concat($titelSchrift,'pt')"/></xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="untertitel">
    <xsl:attribute name="font-size"><xsl:value-of select="concat($grundSchrift,'pt')"/></xsl:attribute>
    <xsl:attribute name="font-style">italic</xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
  </xsl:attribute-set>
  <!-- Vorlagen fr Tabellen / Listen -->
  <xsl:attribute-set name="tabelle">
    <xsl:attribute name="text-align">center</xsl:attribute>
    <xsl:attribute name="border-color">black</xsl:attribute>
    <xsl:attribute name="border-style">solid</xsl:attribute>
    <xsl:attribute name="border-width">0.5pt</xsl:attribute>
    <xsl:attribute name="font-size"><xsl:value-of select="concat($grundSchrift,'pt')"/></xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="spaltenKopf" use-attribute-sets="tabelle">
    <xsl:attribute name="font-weight">bold</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="liste" use-attribute-sets="standard abstand"/>
  <!-- Allgemeine Vorlagen -->
  <xsl:attribute-set name="abstand">
    <xsl:attribute name="space-before">5pt</xsl:attribute>
    <xsl:attribute name="space-after">5pt</xsl:attribute>
  </xsl:attribute-set>
  <!-- Regionen-Hhe -->
  <xsl:variable name="regionenHoehe" select="1"/>
  <!-- Standard-Regionen -->
  <xsl:variable name="standardSeiteBody">
    <fo:region-body region-name="xsl-region-body" background-color="{$Gelb}" margin-bottom="{$regionenHoehe}cm" margin-top="{$regionenHoehe}cm"/>
  </xsl:variable>
  <xsl:variable name="standardTitelBody">
    <fo:region-body region-name="xsl-region-body" background-color="{$Blau}"/>
  </xsl:variable>
  <xsl:variable name="geradeRandRegionen">
    <!-- Unterer Rand der druckbaren Flche -->
    <fo:region-after extent="{$regionenHoehe}cm" region-name="gerade-region-after"/>
    <!-- Oberer Rand der druckbaren Flche -->
    <fo:region-before extent="{$regionenHoehe}cm" region-name="gerade-region-before"/>
  </xsl:variable>
  <xsl:variable name="ungeradeRandRegionen">
    <!-- Unterer Rand der druckbaren Flche -->
    <fo:region-after extent="{$regionenHoehe}cm" region-name="ungerade-region-after"/>
    <!-- Oberer Rand der druckbaren Flche -->
    <fo:region-before extent="{$regionenHoehe}cm" region-name="ungerade-region-before"/>
  </xsl:variable>
  <!-- Seitenzahlen / Titel-->
  <xsl:variable name="marginalienAusgabe">
    <!-- Seitenzahlen -->
    <fo:static-content flow-name="gerade-region-after">
      <fo:block xsl:use-attribute-sets="marginalien" text-align="left">
        <fo:page-number/>
      </fo:block>
    </fo:static-content>
    <fo:static-content flow-name="ungerade-region-after">
      <fo:block xsl:use-attribute-sets="marginalien" text-align="right">
        <fo:page-number/>
      </fo:block>
    </fo:static-content>
    <!-- Titel -->
    <fo:static-content flow-name="gerade-region-before">
      <fo:block>
        <fo:retrieve-marker retrieve-class-name="kapitelTitel"/>
      </fo:block>
    </fo:static-content>
    <fo:static-content flow-name="ungerade-region-before">
      <fo:block xsl:use-attribute-sets="marginalien" text-align="right">
        <xsl:value-of select="//book/title"/>
      </fo:block>
    </fo:static-content>
  </xsl:variable>
  <!-- Startvorlage -->
  <xsl:template match="/book">
    <fo:root>
      <!-- Dokumentvorlage -->
      <fo:layout-master-set>
        <!-- Blattangaben fr erste Seite -->
        <fo:simple-page-master master-name="Titel" xsl:use-attribute-sets="DINA5 ungeradeRaender standardRaender">
          <!-- Druckbare Flche -->
          <xsl:copy-of select="$standardTitelBody"/>
        </fo:simple-page-master>
        <!-- Blattangaben fr ungerade Seiten -->
        <fo:simple-page-master master-name="Ungerade" xsl:use-attribute-sets="DINA5 ungeradeRaender standardRaender">
          <!-- Druckbare Flche -->
          <xsl:copy-of select="$standardSeiteBody"/>
          <!-- Regionen oben und unten -->
          <xsl:copy-of select="$ungeradeRandRegionen"/>
        </fo:simple-page-master>
        <!-- Blattangaben fr gerade Seiten -->
        <fo:simple-page-master master-name="Gerade" xsl:use-attribute-sets="DINA5 geradeRaender standardRaender">
          <!-- Druckbare Flche -->
          <xsl:copy-of select="$standardSeiteBody"/>
          <!-- Regionen oben und unten -->
          <xsl:copy-of select="$geradeRandRegionen"/>
        </fo:simple-page-master>
        <!-- Seitenverlaufsvorlage fr Kapitel -->
        <fo:page-sequence-master master-name="Kapitel">
          <fo:repeatable-page-master-alternatives>
            <fo:conditional-page-master-reference master-reference="Titel" page-position="first"/>
            <fo:conditional-page-master-reference master-reference="Ungerade" odd-or-even="odd"/>
            <fo:conditional-page-master-reference master-reference="Gerade" odd-or-even="even"/>
          </fo:repeatable-page-master-alternatives>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <!-- Titelei -->
      <fo:page-sequence master-reference="Kapitel">
        <!-- Seitenzahlen / Titel -->
        <xsl:copy-of select="$marginalienAusgabe"/>
        <!-- Text -->
        <fo:flow flow-name="xsl-region-body">
          <fo:block space-after="20pt" xsl:use-attribute-sets="titel1">
            <xsl:value-of select="//book/title"/>
          </fo:block>
          <xsl:for-each select="//chapter/title">
            <fo:block>
              <xsl:value-of select="."/>
            </fo:block>
          </xsl:for-each>
        </fo:flow>
      </fo:page-sequence>
      <!-- Text / Seitenverlauf -->
      <xsl:for-each select="chapter">
        <fo:page-sequence master-reference="Kapitel" force-page-count="even" initial-page-number="auto">
          <!-- Seitenzahlen / Titel -->
          <xsl:copy-of select="$marginalienAusgabe"/>
          <!-- Text -->
          <fo:flow flow-name="xsl-region-body">
            <xsl:apply-templates/>
          </fo:flow>
        </fo:page-sequence>
      </xsl:for-each>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr section -->
  <xsl:template match="section">
    <xsl:apply-templates/>
  </xsl:template>
  <!-- Vorlage fr subtitle -->
  <xsl:template match="subtitle">
    <fo:block xsl:use-attribute-sets="untertitel">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr title -->
  <xsl:template match="title">
    <xsl:choose>
      <xsl:when test="count(ancestor::*)=1">
        <fo:block xsl:use-attribute-sets="titel1 abstand">
          <xsl:value-of select="."/>
        </fo:block>
      </xsl:when>
      <xsl:when test="count(ancestor::*)=2">
        <fo:marker marker-class-name="kapitelTitel">
          <fo:block xsl:use-attribute-sets="marginalien" text-align="left">
            <xsl:value-of select="."/>
          </fo:block>
        </fo:marker>
        <fo:block xsl:use-attribute-sets="titel2 abstand">
          <xsl:value-of select="."/>
        </fo:block>
      </xsl:when>
      <xsl:otherwise>
        <fo:block xsl:use-attribute-sets="titel3">
          <xsl:value-of select="."/>
        </fo:block>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!-- Vorlage fr table -->
  <xsl:template match="table">
    <xsl:apply-templates select="title"/>
    <fo:table xsl:use-attribute-sets="tabelle" width="100%">
      <xsl:for-each select="tgroup/thead/row/entry">
        <fo:table-column column-number="{position()}" column-width="proportional-column-width(33)" xsl:use-attribute-sets="abstand"/>
      </xsl:for-each>
      <fo:table-header>
        <fo:table-row>
          <xsl:for-each select="tgroup/thead/row/entry">
            <fo:table-cell xsl:use-attribute-sets="spaltenKopf">
              <fo:block>
                <xsl:value-of select="."/>
              </fo:block>
            </fo:table-cell>
          </xsl:for-each>
        </fo:table-row>
      </fo:table-header>
      <fo:table-footer>
        <fo:table-row>
          <xsl:for-each select="tgroup/tfoot/row/entry">
            <fo:table-cell xsl:use-attribute-sets="spaltenKopf">
              <fo:block>
                <xsl:value-of select="."/>
              </fo:block>
            </fo:table-cell>
          </xsl:for-each>
        </fo:table-row>
      </fo:table-footer>
      <fo:table-body>
        <xsl:for-each select="tgroup/tbody/row">
          <fo:table-row>
            <xsl:for-each select="entry">
              <fo:table-cell xsl:use-attribute-sets="tabelle">
                <fo:block>
                  <xsl:value-of select="."/>
                </fo:block>
              </fo:table-cell>
            </xsl:for-each>
          </fo:table-row>
        </xsl:for-each>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- Vorlage fr para -->
  <xsl:template match="para">
    <xsl:choose>
      <xsl:when test="count(question) != 0">
        <fo:block xsl:use-attribute-sets="standard" font-style="italic" space-before="3pt">
          <fo:inline>- </fo:inline>
          <xsl:value-of select="question"/>
        </fo:block>
        <fo:block xsl:use-attribute-sets="standard" space-after="3pt">
          <xsl:value-of select="answer"/>
        </fo:block>
      </xsl:when>
      <xsl:when test="count(following-sibling::para/question) != 0 and count(preceding-sibling::graphic) != 0">
        <fo:table xsl:use-attribute-sets="standard">
          <fo:table-column column-number="1" column-width="4.5cm"/>
          <fo:table-column column-number="2" column-width="6.5cm"/>
          <fo:table-body>
            <fo:table-row>
              <fo:table-cell display-align="center" border-right-color="black" border-right-style="solid" border-right-width="0.5pt">
                <fo:external-graphic src="{preceding-sibling::graphic/@fileref}" scaling="uniform" width="4cm"/>
              </fo:table-cell>
              <fo:table-cell padding-start="0.5cm" display-align="after">
                <fo:block xsl:use-attribute-sets="standard">
                  <xsl:value-of select="."/>
                </fo:block>
              </fo:table-cell>
            </fo:table-row>
          </fo:table-body>
        </fo:table>
      </xsl:when>
      <xsl:otherwise>
        <fo:block xsl:use-attribute-sets="standard">
          <xsl:value-of select="."/>
        </fo:block>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!-- Vorlage fr simplelist -->
  <xsl:template match="simplelist">
    <xsl:apply-templates select="title"/>
    <fo:list-block provisional-distance-between-starts="5pt" provisional-label-separation="7pt">
      <xsl:for-each select="member">
        <fo:list-item>
          <fo:list-item-label end-indent="label-end()">
            <fo:block>&#x2022;</fo:block>
          </fo:list-item-label>
          <fo:list-item-body start-indent="body-start()">
            <fo:block xsl:use-attribute-sets="standard">
              <xsl:value-of select="."/>
            </fo:block>
          </fo:list-item-body>
        </fo:list-item>
      </xsl:for-each>
    </fo:list-block>
  </xsl:template>
  <!-- Vorlage fr address -->
  <xsl:template match="address">
    <fo:block xsl:use-attribute-sets="standard abstand">
      <fo:block>
        <xsl:value-of select="othername"/>
      </fo:block>
      <fo:block border-left-color="{$Gelb}">
        <xsl:apply-templates select="personname"/>
        <fo:block xsl:use-attribute-sets="abstand standard">
          <xsl:value-of select="email"/>
          <xsl:text> | </xsl:text>
          <xsl:value-of select="phone"/>
        </fo:block>
      </fo:block>
    </fo:block>
  </xsl:template>
  <!-- Vorlage fr personname -->
  <xsl:template match="personname">
    <xsl:value-of select="firstname"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="surname"/>
  </xsl:template>
  <!-- Vorlage fr graphic -->
  <xsl:template match="graphic">
    <xsl:if test="count(following-sibling::para/answer) = 0">
      <fo:block text-align="{@align}">
        <fo:external-graphic src="{@fileref}"/>
      </fo:block>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
